local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS

PrefabFiles = {
	"peacock",
	"hat_peacock",
	"cigar",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/peacock.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/peacock.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/peacock.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/peacock.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/peacock_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/peacock_silho.xml" ),

    Asset( "IMAGE", "bigportraits/peacock.tex" ),
    Asset( "ATLAS", "bigportraits/peacock.xml" ),


	Asset("IMAGE", "images/peacockmini.tex"),
	Asset("ATLAS", "images/peacockmini.xml"),

	Asset("IMAGE", "images/hat_peacockmini.tex"),
	Asset("ATLAS", "images/hat_peacockmini.xml"),

}

AddMinimapAtlas("images/peacockmini.xml")
AddMinimapAtlas("images/hat_peacockmini.xml")

	local cigar =
	{
		name = "cigar",
		weight = 1,
		foodtype = "GENERIC",
		health = TUNING.HEALING_LARGE*-1,
		hunger = TUNING.CALORIES_MED*0,
		sanity = TUNING.SANITY_LARGE*-1,

	}

--function cigar(player)
   -- local cigarRecipe = GLOBAL.Recipe("cigar", {Ingredient("rocks", 1), Ingredient("poop", 1), Ingredient("beardhair", 1), Ingredient("fishtacos", 1), Ingredient("bandage", 1)}, RECIPETABS.REFINE, {SCIENCE =0} )
	--cigarRecipe.atlas = "images/inventoryimages/cigar.xml"
--end


--function sHat(player)
    --local peacockhatRecipe = GLOBAL.Recipe("hat_peacock", {Ingredient("tophat", 1), Ingredient("gears", 2)}, RECIPETABS.DRESS, {SCIENCE =0} )
	--peacockhatRecipe.atlas = "images/inventoryimages/hat_peacock.xml"
--end

GLOBAL.STRINGS.NAMES.CIGAR = "Cigar"
GLOBAL.STRINGS.RECIPE_DESC.CIGAR = "Don't smoke kiddos..."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.CIGAR = "It's bad for your lungs."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.CIGAR = "I don't know if I'm even old enough to smoke."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.CIGAR = "I am not sure about this."
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.CIGAR = "For those who seek an early demise by lung cancer."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.CIGAR = "HUMANS KILL THEMSELVES WITH THIS HA HA HA"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.CIGAR = "Wrapped tobacco leaves, no this one appears to be made of gravel, feces, human hair, and various spices wrapped in used wound dressings."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.CIGAR = "I don't smoke."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.CIGAR = "I could go for a nice smoke."

AddSimPostInit(function(inst)
        if inst.prefab == "wathgrithr" then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.CIGAR = "One way ticket to Valhalla? No thanks."
elseif inst.prefab == "webber" then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.CIGAR = "We are too young for this!"
elseif inst.prefab == "sniper" then
STRINGS.CHARACTERS.SNIPER.DESCRIBE.CIGAR = "I've been trying to quit ok?"
elseif inst.prefab == "peacock" then
STRINGS.CHARACTERS.PEACOCK.DESCRIBE.CIGAR = "Sometimes, a cigar is just a cigar..."
elseif inst.prefab == "soldier" then
STRINGS.CHARACTERS.SOLDIER.DESCRIBE.CIGAR = "It's one good stogie!"
elseif inst.prefab == "tina" then
STRINGS.CHARACTERS.TINA.DESCRIBE.CIGAR = "Not quite ready for this."
elseif inst.prefab == "jackd" then
STRINGS.CHARACTERS.JACKD.DESCRIBE.CIGAR = "Does he smoke? I can't remember..."
elseif inst.prefab == "wilhelm" then
STRINGS.CHARACTERS.WILHELM.DESCRIBE.CIGAR = "There's no real point in a robot smoking..."
elseif inst.prefab == "hatkid" then
STRINGS.CHARACTERS.HATKID.DESCRIBE.CIGAR = "Nah..."
elseif inst.prefab == "jenny" then
STRINGS.CHARACTERS.JENNY.DESCRIBE.CIGAR = "I don't have lungs."
elseif inst.prefab == "edison" then
STRINGS.CHARACTERS.EDISON.DESCRIBE.CIGAR = "Smoking's for losers..."
elseif inst.prefab == "wcobb" then
STRINGS.CHARACTERS.WCOBB.DESCRIBE.CIGAR = "Cuban?"
elseif inst.prefab == "lycoris" then
STRINGS.CHARACTERS.LYCORIS.DESCRIBE.CIGAR = "Dolly became such a cunt when she started smoking cigarettes..."
elseif inst.prefab == "irisrg" then
STRINGS.CHARACTERS.IRISRG.DESCRIBE.CIGAR = "I think this might be better suited for Poe..."
elseif inst.prefab == "madmax" then
STRINGS.CHARACTERS.MADMAX.DESCRIBE.CIGAR = "This is some strange looking thing to smoke."
        end
end)
GLOBAL.STRINGS.NAMES.HAT_PEACOCK = "Toony Topper"
GLOBAL.STRINGS.RECIPE_DESC.HAT_PEACOCK = "A dapper nest for the Avery Unit."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_PEACOCK = "Science plus top hat equals this."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.HAT_PEACOCK = "There's a flamethrower gadget inside, but it keeps saying AVERY UNIT NOT FOUND."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.HAT_PEACOCK = "Is pretty cartoonish hat."
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.HAT_PEACOCK = "A hat outfitted with many devices of murder."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.HAT_PEACOCK = "HAT OF PEACOCK UNIT"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.HAT_PEACOCK = "A top hat outfitted with various gadgets. Manufactured by Anti-Skullgirl Lab 8."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.HAT_PEACOCK = "It's stupid and smells kinda birdy."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.HAT_PEACOCK = "A true magician uses no gadget filled hat!"

AddSimPostInit(function(inst)
        if inst.prefab == "wathgrithr" then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.HAT_PEACOCK = "A hat filled with many clockworks."
elseif inst.prefab == "webber" then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.HAT_PEACOCK = "We look like a crazy cartoon character in this!"
elseif inst.prefab == "sniper" then
STRINGS.CHARACTERS.SNIPER.DESCRIBE.HAT_PEACOCK = "Too bad you missed the promotion."
elseif inst.prefab == "peacock" then
STRINGS.CHARACTERS.PEACOCK.DESCRIBE.HAT_PEACOCK = "My pride n' joy!"
elseif inst.prefab == "soldier" then
STRINGS.CHARACTERS.SOLDIER.DESCRIBE.HAT_PEACOCK = "Peacock! Your hat is mine!"
elseif inst.prefab == "tina" then
STRINGS.CHARACTERS.TINA.DESCRIBE.HAT_PEACOCK = "Crazy hat!"
elseif inst.prefab == "jackd" then
STRINGS.CHARACTERS.JACKD.DESCRIBE.HAT_PEACOCK = "Class-eh..."
elseif inst.prefab == "wilhelm" then
STRINGS.CHARACTERS.WILHELM.DESCRIBE.HAT_PEACOCK = "This hat is a robot too."
elseif inst.prefab == "hatkid" then
STRINGS.CHARACTERS.HATKID.DESCRIBE.HAT_PEACOCK = "Hats!"
elseif inst.prefab == "jenny" then
STRINGS.CHARACTERS.JENNY.DESCRIBE.HAT_PEACOCK = "Wow, this hat has lots of moving parts inside, just like me!"
elseif inst.prefab == "edison" then
STRINGS.CHARACTERS.EDISON.DESCRIBE.HAT_PEACOCK = "Too fancy."
elseif inst.prefab == "wcobb" then
STRINGS.CHARACTERS.WCOBB.DESCRIBE.HAT_PEACOCK = "This magician is a cheater!"
elseif inst.prefab == "lycoris" then
STRINGS.CHARACTERS.LYCORIS.DESCRIBE.HAT_PEACOCK = "There's strange mechanisms inside, maybe Orokada could figure them out."
elseif inst.prefab == "irisrg" then
STRINGS.CHARACTERS.IRISRG.DESCRIBE.HAT_PEACOCK = "I love this hat!"
elseif inst.prefab == "madmax" then
STRINGS.CHARACTERS.MADMAX.DESCRIBE.HAT_PEACOCK = "A strange hat."
        end
end)


-- strings! Any "peacock" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.peacock = "The Murder-Go-Round"
GLOBAL.STRINGS.CHARACTER_NAMES.peacock = "Patricia 'Peacock' Watson"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.peacock = "*Likes to smoke\n*Ain't afraid of no ghost!\n*Is a little cuckoo..."
GLOBAL.STRINGS.CHARACTER_QUOTES.peacock = "\"Cool people don't look at explosions!\""
--STRINGS.CHARACTERS.peacock=require "speech_peacock"


-- Let the game know sniper is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "peacock")





AddModCharacter("peacock", "FEMALE")
AddPrefabPostInit('hat_peacock')
AddPrefabPostInit('cigar')
--AddSimPostInit(sHat)
--AddSimPostInit(cigar)

